unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ComCtrls, ActnList,
  StdCtrls, Buttons, ExtendedTabControls;

type

  { TForm1 }

  TForm1 = class(TForm)
    actn_AddTab: TAction;
    actn_RemoveTab: TAction;
    ActionList1: TActionList;
    ExtendedTabControl1: TExtendedTabControl;
    ExtendedTabToolbar1: TExtendedTabToolbar;
    ExtendedTabToolButton1: TExtendedTabToolButton;
    ExtendedTabToolButton2: TExtendedTabToolButton;
    ImageList1: TImageList;
    Label1: TLabel;
    Label2: TLabel;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    TabControl1: TTabControl;
    procedure actn_AddTabExecute(Sender: TObject);
    procedure actn_RemoveTabExecute(Sender: TObject);
    procedure ExtendedTabControl1Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure TabControl1Change(Sender: TObject);
    procedure TabControl1Resize(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.TabControl1Change(Sender: TObject);
begin
  showmessage('OnChange_normal');
end;

procedure TForm1.TabControl1Resize(Sender: TObject);
begin

end;

procedure TForm1.FormCreate(Sender: TObject);
var
  bttn:TSpeedbutton;
begin
  //bttn:=TSpeedButton.Create(self);
  //bttn.Parent:=TabControl1;
  //bttn.Anchors:=[akRight, akTop];
  //
  //SpeedButton1.Parent:=TabControl1;
  //SpeedButton1.Anchors:=[akRight, akTop];
  TabControl1.Options:=[nboShowAddTabButton];   //Das scheint unter Windows gar keinen Effekt zu haben
end;

procedure TForm1.ExtendedTabControl1Change(Sender: TObject);
begin
  showmessage('OnChange_extended');
end;

procedure TForm1.actn_RemoveTabExecute(Sender: TObject);
begin
  showmessage('Remove Tab');
end;

procedure TForm1.actn_AddTabExecute(Sender: TObject);
begin
  showmessage('Add Tab');
end;

end.

